All Classes Namespaces Functions Pages
hal::Sequence::Info Struct Reference

`#include <halSequence.h>`

## Public Member Functions

| Info (const std::string &name, hal_size_t length, hal_size_t numTopSegments, hal_size_t numBottomSegments)

## Public Attributes

std::string | _name
hal_size_t | _length
hal_size_t | _numTopSegments
hal_size_t | _numBottomSegments

## Detailed Description

Basic information describing the dimenisons and name of a sequence required for each sequence when creating a new genome

The documentation for this struct was generated from the following file:

- inc/halSequence.h